package cn.com.infosec.crypto.params;

import cn.com.infosec.crypto.CipherParameters;

public class AEADParameters implements CipherParameters {
   private byte[] associatedText;
   private byte[] nonce;
   private KeyParameter key;
   private int macSize;

   public AEADParameters(KeyParameter key, int macSize, byte[] nonce, byte[] associatedText) {
      this.key = key;
      this.nonce = nonce;
      this.macSize = macSize;
      this.associatedText = associatedText;
   }

   public KeyParameter getKey() {
      return this.key;
   }

   public int getMacSize() {
      return this.macSize;
   }

   public byte[] getAssociatedText() {
      return this.associatedText;
   }

   public byte[] getNonce() {
      return this.nonce;
   }
}
